
typedef struct {
 int len;
 float pos, speed;
 float *data;
} sample_t;

extern sample_t samples[18];

extern sample_t beer_sam;

void decrunch(void);
float pull(sample_t *in);
void trigger(int note, sample_t *in);
void fix(int reg, int in);
